Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed Class Reference

RichText Embed converter injects rendered embed payloads into embed elements. More...

Inheritance diagram for eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed:

## Public Member Functions
| __construct (RendererInterface $renderer, LoggerInterface $logger=null)
| convert (DOMDocument $document)
| Injects rendered payloads into embed elements. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\RichText\Converter\Render
| __construct (RendererInterface $renderer)

## Protected Member Functions
| extractParameters (DOMElement $embed, $tagName)
| Extracts parameters from embed element. More...
| mapLinkTarget ($docbookLinkTarget)
| Converts Docbook target to HTML target. More...
Protected Member Functions inherited from eZ\Publish\Core\FieldType\RichText\Converter\Render
| extractConfiguration (DOMElement $embed)
| Extracts configuration hash from embed element. More...

## Protected Attributes
| $logger
| $tagDefaultViewMap
| $docbookToHtmlTargetMap
Protected Attributes inherited from eZ\Publish\Core\FieldType\RichText\Converter\Render
| $renderer

## Detailed Description

RichText Embed converter injects rendered embed payloads into embed elements.

Deprecated:
  since 7.4, use \EzSystems\EzPlatformRichText\eZ\RichText\Converter\Render\Embed from EzPlatformRichTextBundle.

Definition at line 21 of file Embed.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed::__construct | ( | RendererInterface | $renderer,
|  | LoggerInterface | $logger = `null`
| ) |  |

Definition at line 46 of file Embed.php.

References eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed\$logger, and eZ\Publish\Core\FieldType\RichText\Converter\Render\$renderer.

## Member Function Documentation

## ◆ convert()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed::convert | ( | DOMDocument | $document | ) |

Injects rendered payloads into embed elements.

Parameters

  \DOMDocument | $document |

Returns
  \DOMDocument

Implements eZ\Publish\Core\FieldType\RichText\Converter.

Definition at line 296 of file Embed.php.

## ◆ extractParameters()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed::extractParameters | ( | DOMElement | $embed,
|  |  | $tagName
| ) |  |
| protected

Extracts parameters from embed element.

Parameters

  \DOMElement | $embed |
  | $tagName | string name of the tag to extract

Returns
  array

Definition at line 115 of file Embed.php.

References eZ\Publish\Core\FieldType\RichText\Converter\Render\extractConfiguration().

## ◆ mapLinkTarget()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed::mapLinkTarget | ( |  | $docbookLinkTarget | ) |
| protected

Converts Docbook target to HTML target.

Parameters

  string | $docbookLinkTarget |

Definition at line 245 of file Embed.php.

## Member Data Documentation

## ◆ $docbookToHtmlTargetMap

eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed::$docbookToHtmlTargetMap
| protected

Initial value:
= [
'new' => '_blank',
'replace' => '_self',
]

Definition at line 41 of file Embed.php.

## ◆ $logger

eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed::$logger
| protected

Definition at line 24 of file Embed.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed\__construct().

## ◆ $tagDefaultViewMap

eZ\Publish\Core\FieldType\RichText\Converter\Render\Embed::$tagDefaultViewMap
| protected

Initial value:
= [
'ezembed' => 'embed',
'ezembedinline' => 'embed-inline',
]

Definition at line 31 of file Embed.php.

The documentation for this class was generated from the following file:

- Embed.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.